PETSc version 3.17.4
Fix/Edit manual page

# PetscWeakFormGetNumFields

Returns the number of fields

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormGetNumFields(PetscWeakForm wf, PetscInt *Nf)

Not collective

### Input Parameter

| wf | - The PetscWeakForm object

### Output Parameter

| Nf | - The number of fields

### See Also

PetscWeakFormSetNumFields(), PetscWeakFormCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtweakform.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages